PostgreSQL 8.0.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER SCHEMA

## Name

ALTER SCHEMA -- change the definition of a schema

## Synopsis

    ALTER SCHEMA name RENAME TO newname
    ALTER SCHEMA name OWNER TO newowner

## Description

`ALTER SCHEMA` changes the definition of a schema. To rename a schema you must own the schema and have the privilege `CREATE` for the database. To change the owner of a schema, you must be a superuser.

## Parameters

`name`

  The name of an existing schema.

`newname`

  The new name of the schema. The new name cannot begin with `pg_`, as such names are reserved for system schemas.

`newowner`

  The new owner of the schema.

## Compatibility

There is no `ALTER SCHEMA` statement in the SQL standard.

## See Also

CREATE SCHEMA, DROP SCHEMA

Prev | Home | Next
ALTER OPERATOR CLASS | Up | ALTER SEQUENCE